=== wml_aux/CMakeLists.txt ===
ADD_SUBDIRECTORY( iselect )
ADD_SUBDIRECTORY( htmlinfo )
ADD_SUBDIRECTORY( map2html )
ADD_SUBDIRECTORY( freetable )
