=== wml_backend/p1_ipp/CMakeLists.txt ===
DEFINE_WML_PERL_BACKEND("ipp" "wml_p1_ipp")
