=== wml_backend/p6_asubst/CMakeLists.txt ===
DEFINE_WML_PERL_BACKEND("asubst" "wml_p6_asubst")
