=== wml_backend/p8_htmlstrip/CMakeLists.txt ===
DEFINE_WML_PERL_BACKEND("htmlstrip" "wml_p8_htmlstrip")
