=== debian/changelog ===
wml (2.32.0~ds1-1) unstable; urgency=medium

  * New upstream release
    + Drop libio-all-perl from Depends and Build-Depends.
  * Drop all occurrences of ancient lintian overrides for
    package-contains-broken-symlink.
  * Override spare-manual-page for WML passes and one more occurrence of
    package-contains-documentation-outside-usr-share-doc (file is data).
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 29 Nov 2020 08:53:57 +0100

wml (2.30.0~ds1-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Update or explicitly declare forwarding state of most patches.
  * debian/copyright: Drop already or from 2.30.0 onwards no more existing
    files from "Files-Excluded".
  * Import new upstream release 2.30.0.
    + Drop patches applied upstream: fix-typos-found-by-lintian.patch,
      wml-fmt-text-txt2html.diff, fix-unicode-handling-in-htmlstrip.patch,
      fix-spelling-errors.diff, change-national-encoding-to-utf-8.patch
    + Drop all hunks changing "SEEALSO" to "SEE ALSO" (applied upstream).
    + Refresh remaining patches as needed.
  * Override package-contains-documentation-outside-usr-share-doc for
    non-info files sporting the .info file suffix.
  * Bump perl build-dependency to ≥ 5.14. (Actually necessary since the
    2.8.0 upstream release.)
  * Drop the alternative (formerly transitional) build-dep on lynx-cur.

  [ Antoni Villalonga ]
  * Remove remaining "ln -i" on d/rules.

 -- Axel Beckert <abe@debian.org>  Wed, 02 Sep 2020 19:19:35 +0200
