=== debian/watch ===
version=4
opts="dversionmangle=s/~?ds\d+$//, oversionmangle=s/$/~ds1/" \
https://github.com/thewml/website-meta-language/releases .*/wml-(.*)\.tar.xz
